org.apache.sling.nosql.mongodb.resourceprovider.impl

## Class MongoDBNoSqlResourceProviderFactory

- java.lang.Object
- - org.apache.sling.nosql.generic.resource.AbstractNoSqlResourceProviderFactory
  - - org.apache.sling.nosql.mongodb.resourceprovider.impl.MongoDBNoSqlResourceProviderFactory

All Implemented Interfaces:
  org.apache.sling.api.resource.ResourceProviderFactory

    @Service(value=org.apache.sling.api.resource.ResourceProviderFactory.class)
     @Property(name="webconsole.configurationFactory.nameHint",
              value="Root paths: {provider.roots}")
    public final class MongoDBNoSqlResourceProviderFactory
    extends org.apache.sling.nosql.generic.resource.AbstractNoSqlResourceProviderFactory

`ResourceProviderFactory` implementation that uses MongoDB as persistence.

### Field Summary

### Fields inherited from interface org.apache.sling.api.resource.ResourceProviderFactory

`PROPERTY_REQUIRED, SERVICE_BUNDLE`

### Constructor Summary

Constructors
Constructor and Description
`MongoDBNoSqlResourceProviderFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.osgi.service.event.EventAdmin` `getEventAdmin()`
`protected org.apache.sling.nosql.generic.adapter.NoSqlAdapter` `getNoSqlAdapter()`

### Methods inherited from class org.apache.sling.nosql.generic.resource.AbstractNoSqlResourceProviderFactory

`getAdministrativeResourceProvider, getResourceProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MongoDBNoSqlResourceProviderFactory

    public MongoDBNoSqlResourceProviderFactory()

### Method Detail

#### getNoSqlAdapter

    protected org.apache.sling.nosql.generic.adapter.NoSqlAdapter getNoSqlAdapter()

Specified by:
  `getNoSqlAdapter` in class `org.apache.sling.nosql.generic.resource.AbstractNoSqlResourceProviderFactory`

#### getEventAdmin

    protected org.osgi.service.event.EventAdmin getEventAdmin()

Specified by:
  `getEventAdmin` in class `org.apache.sling.nosql.generic.resource.AbstractNoSqlResourceProviderFactory`